<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: UavMultiplex.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_uav_multiplex_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UavMultiplex.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_uav_multiplex_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef UAVMULTIPLEX_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define UAVMULTIPLEX_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>FrameworkManager;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keyword">class </span>io_data;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    }</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="keyword">class </span>Layout;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    }</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">class </span>UavMultiplex_impl;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">namespace </span>filter</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;{</div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_uav_multiplex.html">   39</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html">UavMultiplex</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#aaa58829dc34730edaf7c9245a138f3c9">UavMultiplex</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a>* parent,std::string name);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#ab9df118cb91b88db66f05d6f3d520d90">~UavMultiplex</a>();</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a503a803548d0cefb4a1421e216c8b0b7">SetRoll</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a2d3d512b0f5e432f6937c26e06cfb31f">SetPitch</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a0110e4554359559113a3343e121d2e7a">SetYaw</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a4d5fda0fd639d4ce56a961fed4bd4fd1">SetThrust</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a68462d9a5649f610fae08cc3faefd1ab">SetRollTrim</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#ae88f598af8e8957baacdcac6e58bd415">SetPitchTrim</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a0f86d094032465e70d0da553a326a2ff">SetYawTrim</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#aea2f9e4c0121ecb74ee54a390a046d00">Update</a>(<a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a> time);</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a8b9fff504f2e4f4af77ff82673d1218f">LockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a5da237d4010a02d07f2df2e56795a90f">UnlockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_layout.html">gui::Layout</a>* <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#ad6a396652dd0e73bf0bbeb49f5e38219">GetLayout</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div>
<div class="line"><a name="l00162"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_uav_multiplex.html#aad233de5623f020dc286b94dded0d7b0">  162</a></span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#aad233de5623f020dc286b94dded0d7b0">UseDefaultPlot</a>(<span class="keywordtype">void</span>){};</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;            <span class="keyword">virtual</span> uint8_t <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#aef95a5e864f070083ca36ada22c69087">MotorsCount</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>=0;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;            <span class="keywordtype">int</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a64a76d4ad6726295ab43c1d86a692592">MultiplexValue</a>(<span class="keywordtype">int</span> index) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a>* <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a4a8fd3d0c5664a5d858335e6a8345c3f">GetTabWidget</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;        <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html#a10fa4650213e8dec91e7dcdc713875e5">SetMultiplexComboBox</a>(std::string name,<span class="keywordtype">int</span> index);</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data)=0;</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;            UavMultiplex_impl *pimpl_;</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    };</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;<span class="preprocessor">#endif // UAVMULTIPLEX_H</span></div>
<div class="ttc" id="namespaceframework_1_1core_html_a556a09521d9b94e1c9f0bfe6744d611d"><div class="ttname"><a href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">framework::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a0f86d094032465e70d0da553a326a2ff"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a0f86d094032465e70d0da553a326a2ff">framework::filter::UavMultiplex::SetYawTrim</a></div><div class="ttdeci">void SetYawTrim(float value)</div><div class="ttdoc">Set yaw trim. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:43</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_ad6a396652dd0e73bf0bbeb49f5e38219"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#ad6a396652dd0e73bf0bbeb49f5e38219">framework::filter::UavMultiplex::GetLayout</a></div><div class="ttdeci">gui::Layout * GetLayout(void) const </div><div class="ttdoc">Layout. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_ae88f598af8e8957baacdcac6e58bd415"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#ae88f598af8e8957baacdcac6e58bd415">framework::filter::UavMultiplex::SetPitchTrim</a></div><div class="ttdeci">void SetPitchTrim(float value)</div><div class="ttdoc">Set pitch trim. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a5da237d4010a02d07f2df2e56795a90f"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a5da237d4010a02d07f2df2e56795a90f">framework::filter::UavMultiplex::UnlockUserInterface</a></div><div class="ttdeci">void UnlockUserInterface(void) const </div><div class="ttdoc">Unlock user interface. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_aad233de5623f020dc286b94dded0d7b0"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#aad233de5623f020dc286b94dded0d7b0">framework::filter::UavMultiplex::UseDefaultPlot</a></div><div class="ttdeci">virtual void UseDefaultPlot(void)</div><div class="ttdoc">Use default plot. </div><div class="ttdef"><b>Definition:</b> UavMultiplex.h:162</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a64a76d4ad6726295ab43c1d86a692592"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a64a76d4ad6726295ab43c1d86a692592">framework::filter::UavMultiplex::MultiplexValue</a></div><div class="ttdeci">int MultiplexValue(int index) const </div><div class="ttdoc">Multiplex value. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a4a8fd3d0c5664a5d858335e6a8345c3f"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a4a8fd3d0c5664a5d858335e6a8345c3f">framework::filter::UavMultiplex::GetTabWidget</a></div><div class="ttdeci">gui::TabWidget * GetTabWidget(void) const </div><div class="ttdoc">Get TabWidget. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a503a803548d0cefb4a1421e216c8b0b7"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a503a803548d0cefb4a1421e216c8b0b7">framework::filter::UavMultiplex::SetRoll</a></div><div class="ttdeci">void SetRoll(float value)</div><div class="ttdoc">Set roll torque. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classframework_1_1gui_1_1_tab_widget.html">framework::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:27</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a0110e4554359559113a3343e121d2e7a"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a0110e4554359559113a3343e121d2e7a">framework::filter::UavMultiplex::SetYaw</a></div><div class="ttdeci">void SetYaw(float value)</div><div class="ttdoc">Set yaw torque. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout.html">framework::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:29</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html">framework::filter::UavMultiplex</a></div><div class="ttdoc">Class defining uav multiplexing. </div><div class="ttdef"><b>Definition:</b> UavMultiplex.h:39</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a2d3d512b0f5e432f6937c26e06cfb31f"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a2d3d512b0f5e432f6937c26e06cfb31f">framework::filter::UavMultiplex::SetPitch</a></div><div class="ttdeci">void SetPitch(float value)</div><div class="ttdoc">Set pitch torque. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_aef95a5e864f070083ca36ada22c69087"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#aef95a5e864f070083ca36ada22c69087">framework::filter::UavMultiplex::MotorsCount</a></div><div class="ttdeci">virtual uint8_t MotorsCount(void) const =0</div><div class="ttdoc">Motors count. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a10fa4650213e8dec91e7dcdc713875e5"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a10fa4650213e8dec91e7dcdc713875e5">framework::filter::UavMultiplex::SetMultiplexComboBox</a></div><div class="ttdeci">void SetMultiplexComboBox(std::string name, int index)</div><div class="ttdoc">Set multiplex ComboBox. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a4d5fda0fd639d4ce56a961fed4bd4fd1"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a4d5fda0fd639d4ce56a961fed4bd4fd1">framework::filter::UavMultiplex::SetThrust</a></div><div class="ttdeci">void SetThrust(float value)</div><div class="ttdoc">Set thrust. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a8b9fff504f2e4f4af77ff82673d1218f"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a8b9fff504f2e4f4af77ff82673d1218f">framework::filter::UavMultiplex::LockUserInterface</a></div><div class="ttdeci">void LockUserInterface(void) const </div><div class="ttdoc">Lock user interface. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_aaa58829dc34730edaf7c9245a138f3c9"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#aaa58829dc34730edaf7c9245a138f3c9">framework::filter::UavMultiplex::UavMultiplex</a></div><div class="ttdeci">UavMultiplex(const core::FrameworkManager *parent, std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_a68462d9a5649f610fae08cc3faefd1ab"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#a68462d9a5649f610fae08cc3faefd1ab">framework::filter::UavMultiplex::SetRollTrim</a></div><div class="ttdeci">void SetRollTrim(float value)</div><div class="ttdoc">Set roll trim. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_aea2f9e4c0121ecb74ee54a390a046d00"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#aea2f9e4c0121ecb74ee54a390a046d00">framework::filter::UavMultiplex::Update</a></div><div class="ttdeci">void Update(core::Time time)</div><div class="ttdoc">Update using provided datas. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html_ab9df118cb91b88db66f05d6f3d520d90"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html#ab9df118cb91b88db66f05d6f3d520d90">framework::filter::UavMultiplex::~UavMultiplex</a></div><div class="ttdeci">~UavMultiplex()</div><div class="ttdoc">Destructor. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_fe46344826a09271daf0b94572bf98c3.html">Filter</a></li><li class="navelem"><a class="el" href="dir_2d63b318a579ad532ef11df207587c97.html">src</a></li><li class="navelem"><a class="el" href="_uav_multiplex_8h.html">UavMultiplex.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
